function y=sgname(n)
% ***********************************************
% Copyright (c) 2017 UChicago Argonne, LLC
% See LICENSE file.
% ***********************************************
%
% SGNAME Lists the name of 230 space groups.
%
%   Reference: International Tables for Crystallography Volume A

%   Zhang Jiang @8ID/APS/ANL
%   $Revision: 1.0 $  $Date: 2012/08/08 $


sglist = {
'P 1'
'P -1'
'P 2'
'P 21 : UNIQUE AXIS b'
'C 2 : UNIQUE AXIS b, CELL CHOICE 1'
'P m : UNIQUE AXIS b'
'P c : UNIQUE AXIS b, CELL CHOICE 1'
'C m : UNIQUE AXIS b, CELL CHOICE 1'
'C c : UNIQUE AXIS b, CELL CHOICE 1'
'P 2/m : UNIQUE AXIS b'
'P 21/m : UNIQUE AXIS b'
'C 2/m : UNIQUE AXIS b, CELL CHOICE 1'
'P 2/c : UNIQUE AXIS b, CELL CHOICE 1'
'P 21/c : UNIQUE AXIS b, CELL CHOICE 1'
'C 2/c : UNIQUE AXIS b, CELL CHOICE 1'
'P 2 2 2'
'P 2 2 21'
'P 21 21 2'
'P 21 21 21'
'C 2 2 21'
'C 2 2 2'
'F 2 2 2'
'I 2 2 2'
'I 21 21 21'
'P m m 2'
'P m c 21'
'P c c 2'
'P m a 2'
'P c a 21'
'P n c 2'
'P m n 21'
'P b a 2'
'P n a 21'
'P n n 2'
'C m m 2'
'C m c 21'
'C c c 2'
'A m m 2'
'A e m 2'
'A m a 2'
'A b a 2'
'F m m 2'
'F d d 2'
'I m m 2'
'I b a 2'
'I m a 2'
'P m m m'
'P n n n : ORIGIN CHOICE 1'
'P c c m'
'P b a n : ORIGIN CHOICE 1'
'P m m a'
'P n n a'
'P m n a'
'P c c a'
'P b a m'
'P c c n'
'P b c m'
'P n n m'
'P m m n : ORIGIN CHOICE 1'
'P b c n'
'P b c a'
'P n m a'
'C m c m'
'C m c e'
'C m m m'
'C c c m'
'C m m e'
'C c c e : ORIGIN CHOICE 1'
'F m m m'
'F d d d : ORIGIN CHOICE 1'
'I m m m'
'I b a m'
'I b c a'
'I m m a'
'P 4'
'P 41'
'P 42'
'P 43'
'I 4'
'I 41'
'P -4'
'I -4'
'P 4/m'
'P 42/m'
'P 4/n : ORIGIN CHOICE 1'
'P 42/n : ORIGIN CHOICE 1'
'I 4/m'
'I 41/a : ORIGIN CHOICE 1'
'P 4 2 2'
'P 4 21 2'
'P 41 2 2'
'P 41 21 2'
'P 42 2 2'
'P 42 21 2'
'P 43 2 2'
'P 43 21 2'
'I 4 2 2'
'I 41 2 2'
'P 4 m m '
'P 4 b m'
'P 42 c m'
'P 42 n m'
'P 4 c c'
'P 4 n c'
'P 42 m c'
'P 42 b c'
'I 4 m m'
'I 4 c m'
'I 41 m d'
'I 41 c d'
'P -4 2 m'
'P -4 2 c'
'P -4 21 m'
'P -4 21 c'
'P -4 m 2'
'P -4 c 2'
'P -4 b 2'
'P -4 n 2'
'I -4 m 2'
'I -4 c 2'
'I -4 2 m'
'I -4 2 d'
'P 4/m m m'
'P 4/m c c'
'P 4/n b m : ORIGIN CHOICE 1'
'P 4/n n c : ORIGIN CHOICE 1'
'P 4/m b m'
'P 4/m n c'
'P 4/n m m : ORIGIN CHOICE 1'
'P 4/n c c : ORIGIN CHOICE 1'
'P 42/m m c'
'P 42/m c m'
'P 42/n b c : ORIGIN CHOICE 1'
'P 42/n n m : ORIGIN CHOICE 1'
'P 42/m b c'
'P 42/m n m'
'P 42/n m c : ORIGIN CHOICE 1'
'P 42/n c m : ORIGIN CHOICE 1'
'I 4/m m m'
'I 4/m c m'
'I 41/a m d : ORIGIN CHOICE 1'
'I 41/a c d : ORIGIN CHOICE 1'
'P 3'
'P 31'
'P 32'
'R 3 : RHOMBOHEDRAL AXES'
'P -3'
'R -3 : RHOMBOHEDRAL AXES'
'P 3 1 2'
'P 3 2 1'
'P 31 1 2'
'P 31 2 1'
'P 32 1 2'
'P 32 2 1'
'R 3 2 : RHOMBOHEDRAL AXES'
'P 3 m 1'
'P 3 1 m'
'P 3 c 1'
'P 3 1 c'
'R 3 m : RHOMBOHEDRAL AXES'
'R 3 c : HEXAGONAL AXES'
'P -3 1 m'
'P -3 1 c'
'P -3 m 1'
'P -3 c 1'
'R -3 m:  RHOMBOHEDRAL AXES'
'R -3 c : HEXAGONAL AXES'
'P 6'
'P 61'
'P 65'
'P 62'
'P 64'
'P 63'
'P -6'
'P 6/m'
'P 63/m'
'P 6 2 2'
'P 61 2 2'
'P 65 2 2'
'P 62 2 2'
'P 64 2 2'
'P 63 2 2'
'P 6 m m'
'P 6 c c'
'P 63 c m'
'P 63 m c'
'P -6 m 2'
'P -6 c 2'
'P -6 2 m'
'P -6 2 c'
'P 6/m m m'
'P 6/m c c'
'P 63/m c m'
'P 63/m m c'
'P 2 3'
'F 2 3'
'I 2 3'
'P 21 3'
'I 21 3'
'P m -3'
'P n -3 : ORIGIN CHOICE 1'
'F m -3'
'F d -3'
'I m -3'
'P a -3'
'I a -3'
'P 4 3 2'
'P 42 3 2'
'F 4 3 2'
'F 41 3 2'
'I 4 3 2'
'P 43 3 2'
'P 41 3 2'
'I 41 3 2'
'P -4 3 m'
'F -4 3 m'
'I -4 3 m'
'P -4 3 n'
'F -4 3 c'
'I -4 3 d'
'P m -3 m'
'P n -3 n : ORIGIN CHOICE 1'
'P m -3 n'
'P n -3 m : ORIGIN CHOICE 1'
'F m -3 m'
'F m -3 c'
'F d -3 m : ORIGIN CHOICE 1'
'F d -3 c : ORIGIN CHOICE 1'
'I m -3 m'
'I a -3 d'
};
y = sglist(n);